Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740978 - [RFE] Warn or Block importing VMs/Templates from unsupported compatibility levels.
Summary: [RFE] Warn or Block importing VMs/Templates from unsupported compatibility le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.4.1
: ---
Assignee: Andrej Krejcir
QA Contact: Tamir
URL:
Whiteboard:
Depends On: 1678007 1828089
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 03:29 UTC by Germano Veit Michel
Modified: 2020-08-04 13:20 UTC (History)
6 users (show)

Fixed In Version: rhv-4.4.0-29
Doc Type: Enhancement
Doc Text:
When a VM from the older compatibility version is imported, its configuration has to be updated to be compatible with the current cluster compatibility version. This enhancement adds a warning to the audit log that lists the updated parameters.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:20:00 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:20:34 UTC
oVirt gerrit 102652 0 'None' ABANDONED engine: Block importing of VMs of newer Clusters 2020-09-29 14:17:13 UTC

Internal Links: 1829916

Description Germano Veit Michel 2019-08-14 03:29:33 UTC
Description of problem:

It was previously discussed that the engine can only import/convert VMs that originate from the cluster levels it supports. For example, a 4.3 engine can only convert/import VMs from 4.1, 4.2 and 4.3 even if it and vdsm support the storage domain version (V3, V4, V5..) used to move the VMs.

If this is correct, please add a warning or block importing VMs from incompatible cluster levels, and suggest a stepped migration (going through a lower version first) for the VMs to be properly converted.

The necessary data seems to be on the OVFs:

# xmllint -format 8e709281-aae8-49e1-b5a0-a7f6b7e646ba.ovf | grep ClusterCompatibility
    <ClusterCompatibilityVersion>4.3</ClusterCompatibilityVersion>

Comment 1 Ryan Barry 2019-08-15 00:10:55 UTC
Speaking of additional cl 4.4 things...

Comment 2 Michal Skrivanek 2019-08-15 00:56:26 UTC
For which imports? OVA should already be handled.

Comment 3 Germano Veit Michel 2019-08-15 00:58:16 UTC
(In reply to Michal Skrivanek from comment #2)
> For which imports? OVA should already be handled.

Data Domains and Export Domain (if you decided to keep it).

Comment 4 Michal Skrivanek 2019-08-15 10:27:41 UTC
it's not an additional thing, it's basically just bug 1678007.
Export domains are going away.

Comment 5 Marina Kalinin 2019-08-20 23:12:33 UTC
(In reply to Michal Skrivanek from comment #4)
> it's not an additional thing, it's basically just bug 1678007.

This sounds great. So having a VM imported from older version should not be an issue, once this bug is implemented?


Should we close this bug as a duplicate ?

Comment 6 Steven Rosenberg 2019-08-21 07:17:15 UTC
(In reply to Marina Kalinin from comment #5)
> (In reply to Michal Skrivanek from comment #4)
> > it's not an additional thing, it's basically just bug 1678007.
> 
> This sounds great. So having a VM imported from older version should not be
> an issue, once this bug is implemented?
> 
> 
> Should we close this bug as a duplicate ?

To synchronize, from our discussions Shmuel first needs to verify that updating the version to the cluster's compatibility version works. If so then we can mark this as a duplicate and abandon the patch for this issue.

Comment 7 Ryan Barry 2019-08-21 10:51:05 UTC
It will still be necessary to warn or block if the conversion/update cannot be assured, but that's part of a complete solution for the other bug

Comment 8 Andrej Krejcir 2019-12-09 14:15:41 UTC
This RFE will be implemented as part of Bug 1678007.

Comment 9 RHV bug bot 2020-01-24 19:48:27 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 12 Tamir 2020-06-02 09:56:37 UTC
Verified on RHV 4.4.1-1 and RHEL 8.1 hosts. 

I ran all test cases from the attached Polarion requirement and all the tests passed.

Comment 17 errata-xmlrpc 2020-08-04 13:20:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.